<?php
global $globalsettings;

function resizeimgkeepratio($file, $scalefactor)
	{
	/**************************************************************************************
	*Resizes an image, making it $scalefactor times smaller in both width and height
	*Works with PNG, JPG and GIF depending on GD compatibility
	***************************************************************************************/
	$size = getimagesize($file);
	if ($size[2] == 2)
		{
	
		header("Content-type: image/jpeg");
		$im = imagecreatefromjpeg($file);

		$width = $size[0];
		$height = $size[1];
		$w = ($width/3);
		$h = ($height/3);
		$im2 = imagecreatetruecolor($w, $h);

		imagecopyresized($im2, $im, 0, 0, 0, 0, $w, $h, $width, $height);
		imagejpeg($im2);
		}
	if ($size[2] == 1)
		{
	
	
		header("Content-type: image/gif");
		$im = imagecreatefromgif($file);

		$width = $size[0];
		$height = $size[1];
		$w = ($width/3);
		$h = ($height/3);
		$im2 = imagecreatetruecolor($w, $h);

		imagecopyresized($im2, $im, 0, 0, 0, 0, $w, $h, $width, $height);
		imagegif($im2);
		
		}
	if ($size[2] == 3)
		{
	
		header("Content-type: image/png");
		$im = imagecreatefrompng($file);

		$width = $size[0];
		$height = $size[1];
		$w = ($width/3);
		$h = ($height/3);
		$im2 = imagecreatetruecolor($w, $h);

		imagecopyresized($im2, $im, 0, 0, 0, 0, $w, $h, $width, $height);
		imagepng($im2);
		}
	}

function resizeimg($file, $newwidth, $newheight)
	{
	/******************************************************************************
	*Resizing an image taking no original size into account
	*Works with PNG, GIF and JPG depending on GD
	*****************************************************************************/
	
	$size = getimagesize($file);
	if ($size[2] == 2)
		{
	
		header("Content-type: image/jpeg");
		$im = imagecreatefromjpeg($file);

		$width = $size[0];
		$height = $size[1];
		$w = $newwidth;
		$h = $newheight;
		$im2 = imagecreatetruecolor($w, $h);

		imagecopyresized($im2, $im, 0, 0, 0, 0, $w, $h, $width, $height);
		imagejpeg($im2);
		}
	if ($size[2] == 1)
		{
	
	
		header("Content-type: image/gif");
		$im = imagecreatefromgif($file);

		$width = $size[0];
		$height = $size[1];
		$w = $newwidth;
		$h = $newheight;
		$im2 = imagecreatetruecolor($w, $h);

		imagecopyresized($im2, $im, 0, 0, 0, 0, $w, $h, $width, $height);
		imagegif($im2);
		
		}
	if ($size[2] == 3)
		{
	
		header("Content-type: image/png");
		$im = imagecreatefrompng($file);

		$width = $size[0];
		$height = $size[1];
		$w = $newwidth;
		$h = $newheight;
		$im2 = imagecreatetruecolor($w, $h);

		imagecopyresized($im2, $im, 0, 0, 0, 0, $w, $h, $width, $height);
		imagepng($im2);
		}
	}





?>